## linkchecker 4.9

=== Makefile ===
# This Makefile is only used by developers.
PYVER=2.5
PYTHON=python$(PYVER)
VERSION=$(shell $(PYTHON) setup.py --version)
HOST=www.debian.org
LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
PYTHONSVN=/home/calvin/src/python-svn
PY_FILES_DIRS=linkcheck tests scripts *.py linkchecker gui cgi-bin config doc
# build dir for svn-buildpackage
SVNBUILD=/home/calvin/src/build-area
DEB_ORIG_TARGET=$(SVNBUILD)/linkchecker_$(VERSION).orig.tar.gz


.PHONY: all
all:
	@echo "Read the file doc/install.txt to see how to build and install this package."

.PHONY: clean
clean:
# ignore errors of this command
	-$(PYTHON) setup.py clean --all
	rm -f *-stamp*
	$(MAKE) -C po clean
	$(MAKE) -C doc clean
	$(MAKE) -C doc/en clean
	$(MAKE) -C linkcheck/HtmlParser clean
	rm -f linkcheck/ftpparse/_ftpparse.so
	find . -name '*.py[co]' -exec rm -f {} \;

.PHONY: distclean
distclean: clean cleandeb
# just to be sure clean also the build dir
	rm -rf build
	rm -f _linkchecker_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f linkchecker-out* linkchecker.prof
	rm -rf linkchecker-$(VERSION)
	rm -rf coverage dist-stamp python-build-stamp*

.PHONY: cleandeb
cleandeb:
	rm -rf debian/linkchecker debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

MANIFEST: MANIFEST.in setup.py
	$(MAKE) -C doc/en all nav
	$(PYTHON) setup.py sdist --manifest-only

.PHONY: locale
locale:
	$(MAKE) -C po

# to build in the current directory
.PHONY: localbuild
localbuild: MANIFEST
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/ftpparse/_ftpparse.so linkcheck/ftpparse

.PHONY: deb_orig
deb_orig:
	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
	  $(MAKE) dist-stamp && \
	  cp dist/linkchecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
	fi

# ready for upload, signed with my GPG key
.PHONY: deb_signed
deb_signed: cleandeb
	(env -u LANG svn-buildpackage --svn-dont-clean --svn-verbose --svn-ignore \
	  --svn-prebuild="$(MAKE) deb_orig" --svn-lintian --svn-linda \
	  -sgpg -pgpg -k$(GPGKEY) -rfakeroot 2>&1) | \
	tee $(SVNBUILD)/linkchecker-$(VERSION).build

.PHONY: files
files:	locale localbuild
	-scripts/run.sh linkchecker $(LCOPTS) http://$(HOST)/
	rm -f linkchecker-out.*.gz
	for f in linkchecker-out.*; do gzip --best $$f; done

.PHONY: upload
upload:
	@echo "Starting releaseforge..."
	@releaseforge
#	ncftpput upload.sourceforge.net /incoming dist/*
#	mozilla -remote "openUrl(https://sourceforge.net/projects/linkchecker, new-tab)"
#	@echo "Make SF release and press return..."
#	@read

.PHONY: release
release: distclean releasecheck dist-stamp sign_distfiles homepage upload
	@echo "Uploading new LinkChecker Homepage..."
	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register

.PHONY: homepage
homepage:
	$(MAKE) -C doc/en homepage

.PHONY: chmod
chmod:
	-chmod -R a+rX,u+w,go-w -- *
	find . -type d -exec chmod 755 {} \;

.PHONY: dist
dist: locale MANIFEST chmod
	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm

dist-stamp: changelog
	$(MAKE) dist
	touch $@

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
.PHONY: check
check:
	[ ! -d .svn ] || check-nosvneolstyle -v
	check-copyright
	check-pofiles -v
	py-tabdaddy -v
	$(MAKE) pyflakes

.PHONY: releasecheck
releasecheck: check
	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog.txt > /dev/null; then \
	  echo "Could not release: edit ChangeLog.txt release date"; false; \
	fi
	$(MAKE) -C doc/en test

.PHONY: sign_distfiles
sign_distfiles:
	for f in dist/*; do \
	  if [ ! -f $${f}.asc ]; then \
	    gpg --detach-sign --armor $$f; \
	  fi; \
	done

.PHONY: test
test:	localbuild
	scripts/test.sh

.PHONY: pyflakes
pyflakes:
	pyflakes 2>&1 | \
          grep -v "redefinition of unused 'linkcheck'" | \
          grep -v "undefined name '_'" | \
	  grep -v "undefined name '_n'" | cat

.PHONY: reindent
reindent:
	$(PYTHON) config/reindent.py -r -v linkcheck

# Compare custom Python files with the original ones from subversion.
.PHONY: diff
diff:
	@for f in gzip robotparser httplib; do \
	  echo "Comparing $${f}.py"; \
	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
	done

.PHONY: changelog
changelog:
	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt

=== doc/Makefile ===
po4a:
	po4a --localized-charset=UTF-8 po4a.conf

apidocs:
	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/

clean:
	rm -f *.pyc *.pyo *~

.PHONY: apidocs po4a clean

=== linkcheck/HtmlParser/Makefile ===
# this parser needs flex >= 2.5.xx from http://lex.sf.net/
# for reentrant bison parser support
FLEX = flex
PYINCLUDE=-I/usr/include/python2.5
#PYINCLUDE="-I/home/calvin/src/python-gitsvn -I/home/calvin/src/python-gitsvn/Include"

all: htmllex.c htmlparse.c

htmlsax.so: htmllex.o htmlparse.o s_util.o
	gcc -pthread -shared $^ -o htmlsax.so

%.o:	%.c
	gcc -g -std=c99 -O3 -Wall -pedantic -Wstrict-prototypes -fPIC -I. $(PYINCLUDE) -c $< -o $@

htmlparse.h htmlparse.c:	htmlparse.y htmlsax.h
	bison htmlparse.y

htmllex.l:	htmlparse.h

htmllex.c:	htmllex.l htmlsax.h
	$(FLEX) htmllex.l
	awk -f fixincludes.awk htmllex.c > htmllex.c.fixed; mv -f htmllex.c.fixed htmllex.c

clean:
	rm -f *.o *.so *.pyc *.pyo *.output

distclean: clean
	rm -f htmlparse.c htmlparse.h htmllex.c

## linkchecker 5.0.1

=== Makefile ===
# This Makefile is only used by developers.
PYVER=2.5
PYTHON=python$(PYVER)
VERSION=$(shell $(PYTHON) setup.py --version)
MACHINE=$(shell uname -m)
HOST=www.debian.org
LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
PYTHONSVN=/home/calvin/src/python-svn
PY_FILES_DIRS=linkcheck tests scripts *.py linkchecker gui cgi-bin config doc
# build dir for debian package
BUILDDIR=/home/calvin/packages/official
DEB_ORIG_TARGET=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz


.PHONY: all
all:
	@echo "Read the file doc/source/install.txt to see how to build and install this package."

.PHONY: clean
clean:
# ignore errors of this command
	-$(PYTHON) setup.py clean --all
	rm -f *-stamp*
	$(MAKE) -C po clean
	$(MAKE) -C linkcheck/HtmlParser clean
	rm -f linkcheck/network/_network.so
	find . -name '*.py[co]' -exec rm -f {} \;

.PHONY: distclean
distclean: clean cleandeb
	$(MAKE) -C doc clean
	rm -rf build linkchecker.egg-info
	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f linkchecker-out* linkchecker.prof
	rm -rf LinkChecker-$(VERSION)
	rm -rf coverage dist-stamp python-build-stamp*

.PHONY: cleandeb
cleandeb:
	rm -rf debian/linkchecker debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

MANIFEST: MANIFEST.in setup.py
	$(PYTHON) setup.py sdist --manifest-only

.PHONY: locale
locale:
	$(MAKE) -C po

# to build in the current directory
.PHONY: localbuild
localbuild: MANIFEST
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/network/_network.so linkcheck/network

.PHONY: deb_orig
deb_orig:
	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
	  $(MAKE) dist-stamp && \
	  cp dist/LinkChecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
	fi

.PHONY: files
files:	locale localbuild
	-scripts/run.sh linkchecker $(LCOPTS) http://$(HOST)/
	rm -f linkchecker-out.*.gz
	for f in linkchecker-out.*; do gzip --best $$f; done

.PHONY: upload
upload:
	rsync -avP -e ssh dist/* calvin@frs.sourceforge.net:uploads/

.PHONY: release
release: distclean releasecheck dist-stamp sign_distfiles homepage upload
	@echo "Uploading new LinkChecker Homepage..."
	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register

.PHONY: homepage
homepage:
	$(MAKE) -C doc homepage

.PHONY: chmod
chmod:
	-chmod -R a+rX,u+w,go-w -- *
	find . -type d -exec chmod 755 {} \;

.PHONY: dist
dist: locale MANIFEST chmod
	$(PYTHON) setup.py sdist --formats=gztar
# no rpm buildable with bdist_rpm, presumable due to this bug:
# https://bugzilla.redhat.com/show_bug.cgi?id=236535
# too uninvolved to fix it

dist-stamp: changelog
	$(MAKE) dist
	touch $@

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
.PHONY: check
check:
	[ ! -d .svn ] || check-nosvneolstyle -v
	check-copyright
	check-pofiles -v
	py-tabdaddy -v
	$(MAKE) pyflakes

.PHONY: releasecheck
releasecheck: check
	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog.txt > /dev/null; then \
	  echo "Could not release: edit ChangeLog.txt release date"; false; \
	fi
#	$(MAKE) -C doc test

.PHONY: sign_distfiles
sign_distfiles:
	for f in dist/*; do \
	  if [ ! -f $${f}.asc ]; then \
	    gpg --detach-sign --armor $$f; \
	  fi; \
	done

.PHONY: test
test:	localbuild
	nosetests -m "^test_.*" tests/

.PHONY: pyflakes
pyflakes:
	pyflakes $(PY_FILES_DIRS) 2>&1 | \
          grep -v "redefinition of unused 'linkcheck'" | \
          grep -v "undefined name '_'" | \
	  grep -v "undefined name '_n'" | cat

.PHONY: reindent
reindent:
	$(PYTHON) config/reindent.py -r -v linkcheck

# Compare custom Python files with the original ones from subversion.
.PHONY: diff
diff:
	@for f in gzip robotparser httplib; do \
	  echo "Comparing $${f}.py"; \
	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
	done

.PHONY: changelog
changelog:
	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck homepage test po4a api

all: clean html compress

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	rm build/html/_static/Makefile build/html/_static/favicon*.png
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

clean:
	-rm -rf build/*

homepage:	clean html compress
	cp -r build/html/* $(HOME)/public_html/linkchecker.sf.net/htdocs

test:	html
	xmllint --valid --noout build/html/*.html

po4a:
	po4a --localized-charset=UTF-8 po4a.conf

api:
	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/


YUICOMP_VERSION=2.4.2
YUICOMP=$(HOME)/src/yuicompressor-$(YUICOMP_VERSION)/build

compress:
	python mediacompress.py --overwrite=png,jpg,gif,js,css \
	  --js-compressor=$(YUICOMP)/yuicompressor-$(YUICOMP_VERSION).jar \
	  build/html

=== linkcheck/gui/Makefile ===
# generate Python files from UI description

# edit ui/*.ui files with designer
UI_FILES = linkchecker_ui_main.py linkchecker_ui_options.py
RC_FILES = linkchecker_rc.py


all: $(UI_FILES) $(RC_FILES)

linkchecker_ui_%.py: ui/%.ui
	pyuic4 -o $@ $<

linkchecker_rc.py: rc/linkchecker.qrc
	pyrcc4 -o $@ $<

clean:
	rm -f *.pyc *.pyo

=== doc/source/_static/Makefile ===
favicon.ico:	favicon32x32.png favicon16x16.png
	png2ico favicon.ico favicon32x32.png favicon16x16.png

=== linkcheck/gui/rc/Makefile ===
# refresh media files

# base directory of oxygen icon set checkout
OXYGEN = $(HOME)/src/oxygen-gitsvn/16x16
CRYSTAL = $(HOME)/src/crystal_project

ICONS = \
	cancel.png \
	options.png \
	preferences.png \
	start.png \
	stop.png \
	app.png

all: $(ICONS)

app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
	cp $< $@

start.png:	$(OXYGEN)/actions/media-playback-start.png
	cp $< $@

stop.png:	$(OXYGEN)/actions/media-playback-stop.png
	cp $< $@

cancel.png:	$(OXYGEN)/actions/process-stop.png
	cp $< $@

options.png:	$(OXYGEN)/categories/preferences-system-network.png
	cp $< $@

preferences.png:	$(OXYGEN)/categories/preferences-other.png
	cp $< $@

clean:
	rm -f *.png

## linkchecker 5.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
 # This Makefile is only used by developers.
-PYVER=2.5
+PYVER=2.6
 PYTHON=python$(PYVER)
 VERSION=$(shell $(PYTHON) setup.py --version)
 MACHINE=$(shell uname -m)
 HOST=www.debian.org
 LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
-PYTHONSVN=/home/calvin/src/python-svn
-PY_FILES_DIRS=linkcheck tests scripts *.py linkchecker gui cgi-bin config doc
+PYTHONSRC=/home/calvin/src/python-gitsvn
+PY_FILES_DIRS=linkcheck tests *.py linkchecker gui cgi-bin config doc
+TESTS ?= tests/
+# set test options, eg. to "--nologcapture"
+TESTOPTS=
+PAGER ?= less
 # build dir for debian package
 BUILDDIR=/home/calvin/packages/official
 DEB_ORIG_TARGET=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
@@ -14,21 +18,20 @@
 
 .PHONY: all
 all:
-	@echo "Read the file doc/source/install.txt to see how to build and install this package."
+	@echo "Read the file INSTALL.txt to see how to build and install this package."
 
 .PHONY: clean
 clean:
-# ignore errors of this command
 	-$(PYTHON) setup.py clean --all
-	rm -f *-stamp*
+	rm -f linkchecker-out.* *-stamp*
 	$(MAKE) -C po clean
+	$(MAKE) -C doc/html clean
 	$(MAKE) -C linkcheck/HtmlParser clean
 	rm -f linkcheck/network/_network.so
 	find . -name '*.py[co]' -exec rm -f {} \;
 
 .PHONY: distclean
 distclean: clean cleandeb
-	$(MAKE) -C doc clean
 	rm -rf build linkchecker.egg-info
 	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
@@ -52,6 +55,7 @@
 # to build in the current directory
 .PHONY: localbuild
 localbuild: MANIFEST
+	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
 	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
@@ -64,26 +68,16 @@
 	  cp dist/LinkChecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
 	fi
 
-.PHONY: files
-files:	locale localbuild
-	-scripts/run.sh linkchecker $(LCOPTS) http://$(HOST)/
-	rm -f linkchecker-out.*.gz
-	for f in linkchecker-out.*; do gzip --best $$f; done
-
 .PHONY: upload
 upload:
 	rsync -avP -e ssh dist/* calvin@frs.sourceforge.net:uploads/
 
 .PHONY: release
-release: distclean releasecheck dist-stamp sign_distfiles homepage upload
+release: distclean releasecheck dist-stamp sign_distfiles upload
 	@echo "Uploading new LinkChecker Homepage..."
 	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-
-.PHONY: homepage
-homepage:
-	$(MAKE) -C doc homepage
 
 .PHONY: chmod
 chmod:
@@ -108,8 +102,11 @@
 	[ ! -d .svn ] || check-nosvneolstyle -v
 	check-copyright
 	check-pofiles -v
-	py-tabdaddy -v
+	py-tabdaddy
 	$(MAKE) pyflakes
+
+filescheck:
+	-./linkchecker $(LCOPTS) http://$(HOST)/
 
 .PHONY: releasecheck
 releasecheck: check
@@ -128,7 +125,7 @@
 
 .PHONY: test
 test:	localbuild
-	nosetests -m "^test_.*" tests/
+	nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
@@ -146,9 +143,13 @@
 diff:
 	@for f in gzip robotparser httplib; do \
 	  echo "Comparing $${f}.py"; \
-	  diff -u linkcheck/$${f}2.py $(PYTHONSVN)/Lib/$${f}.py | less; \
+	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
 	done
 
 .PHONY: changelog
 changelog:
 	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt
+
+.PHONY: gui
+gui:
+	$(MAKE) -C linkcheck/gui

=== doc/Makefile ===
all:

test:
	xmllint --valid --noout *.html

po4a:
	po4a --localized-charset=UTF-8 po4a.conf

api:
	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/

.PHONY: po4a api test

=== doc/html/Makefile ===
HELPFILES = lccollection.qhc

all:	$(HELPFILES)

.PHONY: clean
clean:
	-rm -f *.qhc *.qch

%.qhc:	%.qhcp lcdoc.qhp
	qcollectiongenerator $< -o $@

favicon.ico:	favicon32x32.png favicon16x16.png
	png2ico favicon.ico favicon32x32.png favicon16x16.png

=== linkcheck/gui/rc/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 ICONS = \
 	cancel.png \
+	online.png \
 	options.png \
 	preferences.png \
 	start.png \
@@ -26,6 +27,9 @@
 cancel.png:	$(OXYGEN)/actions/process-stop.png
 	cp $< $@
 
+online.png:	$(OXYGEN)/actions/document-open-remote.png
+	cp $< $@
+
 options.png:	$(OXYGEN)/categories/preferences-system-network.png
 	cp $< $@

## linkchecker 5.2

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,23 @@
 # This Makefile is only used by developers.
-PYVER=2.6
-PYTHON=python$(PYVER)
-VERSION=$(shell $(PYTHON) setup.py --version)
-MACHINE=$(shell uname -m)
-HOST=www.debian.org
-LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
-PYTHONSRC=/home/calvin/src/python-gitsvn
-PY_FILES_DIRS=linkcheck tests *.py linkchecker gui cgi-bin config doc
+PYVER:=2.6
+PYTHON:=python$(PYVER)
+VERSION:=$(shell $(PYTHON) setup.py --version)
+MACHINE:=$(shell uname -m)
+HOST:=www.debian.org
+LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
+PYTHONSRC:=/home/calvin/src/python-gitsvn
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
 PAGER ?= less
 # build dir for debian package
-BUILDDIR=/home/calvin/packages/official
-DEB_ORIG_TARGET=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+BUILDDIR:=$(HOME)/packages/official
+DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+# original dnspython repository module
+DNSPYTHON:=$(HOME)/src/dnspython-git/dns
+# options to run the pep8 utility
+PEP8OPTS:=--repeat --ignore=E211,E501 --exclude=dns
 
 
 .PHONY: all
@@ -32,7 +36,7 @@
 
 .PHONY: distclean
 distclean: clean cleandeb
-	rm -rf build linkchecker.egg-info
+	rm -rf build dist linkchecker.egg-info
 	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
 	rm -f linkchecker-out* linkchecker.prof
@@ -70,12 +74,13 @@
 
 .PHONY: upload
 upload:
-	rsync -avP -e ssh dist/* calvin@frs.sourceforge.net:uploads/
+	rsync -avP -e ssh dist/* calvin,linkchecker@frs.sourceforge.net:/home/frs/project/l/li/linkchecker/$(VERSION)/
+
 
 .PHONY: release
 release: distclean releasecheck dist-stamp sign_distfiles upload
-	@echo "Uploading new LinkChecker Homepage..."
-	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
+	@echo "Updating LinkChecker Homepage..."
+	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
 
@@ -103,15 +108,19 @@
 	check-copyright
 	check-pofiles -v
 	py-tabdaddy
+	py-unittest2-compat tests/
 	$(MAKE) pyflakes
 
 filescheck:
 	-./linkchecker $(LCOPTS) http://$(HOST)/
 
+update-copyright:
+	update-copyright --holder="Bastian Kleineidam"
+
 .PHONY: releasecheck
 releasecheck: check
-	@if egrep -i "xx\.|xxxx|\.xx" ChangeLog.txt > /dev/null; then \
-	  echo "Could not release: edit ChangeLog.txt release date"; false; \
+	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
+	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
 #	$(MAKE) -C doc test
 
@@ -125,7 +134,7 @@
 
 .PHONY: test
 test:	localbuild
-	nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) /usr/bin/nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
@@ -133,6 +142,10 @@
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
+
+.PHONY: pep8
+pep8:
+	pep8 $(PEP8OPTS) $(PY_FILES_DIRS)
 
 .PHONY: reindent
 reindent:
@@ -146,9 +159,13 @@
 	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
 	done
 
+.PHONY: dnsdiff
+dnsdiff:
+	diff -BurN --exclude=changelog.txt linkcheck/dns $(DNSPYTHON) | $(PAGER)
+
 .PHONY: changelog
 changelog:
-	sftrack_changelog linkchecker calvin@users.sourceforge.net ChangeLog.txt
+	sftrack_changelog linkchecker calvin@users.sourceforge.net doc/changelog.txt
 
 .PHONY: gui
 gui:

=== doc/html/Makefile ===
--- 
+++ 
@@ -6,7 +6,10 @@
 clean:
 	-rm -f *.qhc *.qch
 
-%.qhc:	%.qhcp lcdoc.qhp
+%.html:	%.txt html.header html.footer
+	(cat html.header; markdown2 $<; cat html.footer) > index.html
+
+%.qhc:	%.qhcp lcdoc.qhp index.html
 	qcollectiongenerator $< -o $@
 
 favicon.ico:	favicon32x32.png favicon16x16.png

=== linkcheck/gui/Makefile ===
# generate Python files from UI description

# edit ui/*.ui files with designer
UI_FILES = linkchecker_ui_main.py linkchecker_ui_options.py linkchecker_ui_progress.py
RC_FILES = linkchecker_rc.py


all: $(UI_FILES) $(RC_FILES)

linkchecker_ui_%.py: ui/%.ui
	pyuic4 -o $@ $<
	sed -i -r -e 's/QtGui\.QApplication\.translate\("[^"]+", "([^"]+)", None, QtGui\.QApplication\.UnicodeUTF8\)/_("\1")/g' $@

linkchecker_rc.py: rc/linkchecker.qrc
	pyrcc4 -o $@ $<

clean:
	rm -f *.pyc *.pyo

=== debian/changelog ===
linkchecker (5.2-2) unstable; urgency=low

  * Updated debian/*.install files for new default Python version
    (Closes: #587219)
  * Remove generated files in debian/rules clean target
  * Use new 3.0 Debian source format
  * Use new standards version 3.9.0 in debian/control

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 22 Jul 2010 19:35:06 +0200

linkchecker (5.2-1) unstable; urgency=low

  * New upstream release.
  * Does not install msgfmt.py anymore, since it has been moved out
    of the linkcheck package.
    (Closes: #555414)
  * Standards version 3.8.4.
  * Use new 3.0 (quilt) source package format.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 08 Mar 2010 09:26:02 +0100

linkchecker (5.1-2) unstable; urgency=low

  * Added dependency on QT sqlite database package for linkchecker-gui
    (Closes: #568773)
  * Added build-dependency on python-all-dev instead of just python-dev.
    (Closes: #569451)
  * New Standards version 3.8.3

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 15 Feb 2010 23:38:59 +0100

linkchecker (5.1-1) unstable; urgency=low

  * New upstream release.
    + Uses correct directory in apache configuration
      (Closes: #519646)
    + Uses ScriptAlias in the Apache config
      (Closes: #535497)
  * Use Debian Standards version 3.8.2.0; no packaging changes required.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Aug 2009 08:05:40 +0200

linkchecker (5.0.1-2) unstable; urgency=medium

  * Let the binary target depend on install targets in debian/rules.
    Workaround for bug #486848 of cdbs.
    Urgency medium for rc bug fix.
    (Closes: #526572)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Jun 2009 10:27:47 +0200

linkchecker (5.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes bashism in example script (Closes: #489629)
    + Stops immediately after hitting Ctrl-C twice (Closes: #476623)
    + Handles persistent connections correct (Closes: #512358)
  * Standards version 3.8.0
  * Use default python version to build packages, avoiding the
    version-specific hash-bang line in commandline scripts
    (Closes: #480395)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 01 Feb 2009 11:16:41 +0100

linkchecker (4.9-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v6
  * Double Ctrl-C quits without cleanup (Closes: #476623)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 14 Mar 2008 12:23:45 +0100

linkchecker (4.8-1) unstable; urgency=low

  * New upstream release.
    + Prevent double encoding in HTML info output (Closes: #446918)
  * Add Homepage: field to control info.
  * Standards version 3.7.3
  * Remove empty lintian overrides directory from package
  * Rename debian/NEWS.Debian to debian/NEWS, which actually installs
    this file as NEWS.Debian :/

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 16 Oct 2007 20:00:25 +0200

linkchecker (4.7-2) unstable; urgency=low

  * On some installations old files are lingering around after purging
    in /usr/lib/python2.4/site-packages/linkcheck/. Postrm will remove
    them forcefully now.
    (Closes: #429580)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Jun 2007 16:57:03 +0200

linkchecker (4.7-1) unstable; urgency=low

  * New upstream release.
    + Documentation mentions that --anchors enables logging of warnings
      (Closes: #411414)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 19 Feb 2007 20:22:47 +0100

linkchecker (4.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 17 Nov 2006 21:17:30 +0100

linkchecker (4.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Sep 2006 12:08:36 +0200

linkchecker (4.4-1) unstable; urgency=low

  * New upstream release (Closes: #385956)

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  4 Sep 2006 22:00:50 +0200

linkchecker (4.3-1) unstable; urgency=low

  * New upstream release.
    + adds more recursion levels in CGI script (Closes: #381445)
  * Remove old config file on purge, generated by previous updates
  * Updated Standards version 3.7.2.1
  * Updated more dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Aug 2006 15:23:39 +0200

linkchecker (4.2-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 14 Jun 2006 18:00:13 +0200

linkchecker (4.1-1) unstable; urgency=low

  * New upstream release.
    - avoids exceptions on shutdown (Closes: #368325)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 23 May 2006 21:57:14 +0200

linkchecker (4.0-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.7.2.0

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 May 2006 10:45:12 +0200

linkchecker (3.4-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v5
  * Remove now-obsolete linkchecker-ssl conflict

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  3 Jan 2006 19:18:22 +0100

linkchecker (3.3-1) unstable; urgency=low

  * New upstream release.
    - fixes checking of local files (Closes: #332870)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Oct 2005 23:55:56 +0200

linkchecker (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Jul 2005 11:04:39 +0200

linkchecker (3.1-1) unstable; urgency=low

  * New upstream release.
    - bogus errors are not cached anymore (Closes: #307877)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jul 2005 17:11:48 +0200

linkchecker (3.0-1) unstable; urgency=low

  * New upstream release.
    Thanks to the various Debian bug reporters these bugs are fixed
    upstream:
    - only generates ~/.linkchecker/ when it is needed
      (Closes: #307876)
    - uses new URL filtering instead of --intern/--extern
      (Closes: #307915)
    - fixes man page quotes, url vs. URL and encoding URLs.


=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all-dev (>= 2.5), debhelper (>= 7), gettext,
 cdbs (>= 0.4.43), python-central (>= 0.6), qt4-dev-tools
XS-Python-Standards-Version: 0.4
XS-Python-Version: >= 2.5
Standards-Version: 3.9.0
Homepage: http://linkchecker.sourceforge.net/

Package: linkchecker
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Suggests: apache2 | httpd, python-optcomplete (>= 1.2-5),
 python-geoip (>= 1.2.1-2), clamav-daemon, python-utidylib,
 python-cssutils, python-pysqlite2
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-gui
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: linkchecker, python-qt4, ${python:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM:=pycentral
DEB_DH_INSTALLCHANGELOGS_ARGS:=doc/changelog.txt

# workaround for Debian bug #486848
binary-arch binary-indep: install-arch install-indep

common-install-arch::
	$(MAKE) locale
	$(MAKE) -C doc/html all

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

ROOTDIR=$(CURDIR)/debian/linkchecker
DOCDIR=$(ROOTDIR)/usr/share/doc/linkchecker
SHAREDIR=$(ROOTDIR)/usr/share/linkchecker
HTMLDIR=$(SHAREDIR)/lconline
CGIDIR=$(ROOTDIR)/usr/lib/cgi-bin
LOCALEDIR=$(ROOTDIR)/usr/share/locale
ETCDIR=$(ROOTDIR)/etc

common-configure-arch::
	python setup.py sdist --manifest-only

common-install-arch::
# install system wide configuration files in etc
	install -m 644 config/linkcheckerrc $(ETCDIR)/linkchecker/
	install -m 644 config/logging.conf $(ETCDIR)/linkchecker/
# install CGI files
	install -m 644 cgi-bin/lconline/*.html $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.de $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.en $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.js $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.css $(HTMLDIR)
	install -m 755 cgi-bin/lc.cgi $(CGIDIR)
# install bash_completion script
	install -m 644 config/linkchecker-completion $(ETCDIR)/bash_completion.d
# install .mo files
	install -m 644 build/share/locale/de/LC_MESSAGES/LinkChecker.mo $(LOCALEDIR)/de/LC_MESSAGES/
# apache configuration
	install -m 644 config/linkchecker.apache2.conf $(ETCDIR)/apache2/conf.d/linkchecker

install/linkchecker::
	sed -i '1s,#!/usr/bin/python2\..,#!/usr/bin/python,' $(CURDIR)/debian/tmp/usr/bin/linkchecker

install/linkchecker-gui::
	sed -i '1s,#!/usr/bin/python2\..,#!/usr/bin/python,' $(CURDIR)/debian/tmp/usr/bin/linkchecker-gui

# clean generated files
clean::
	rm -f doc/html/*.qch doc/html/*.qhc
	rm -f _LinkChecker_configdata.py

## linkchecker 5.5

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,17 @@
 VERSION:=$(shell $(PYTHON) setup.py --version)
 MACHINE:=$(shell uname -m)
 HOST:=www.debian.org
-LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot -v -r1 -C
+LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
 PYTHONSRC:=/home/calvin/src/python-gitsvn
 PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
+# test for nose achievements plugin and use it if available
+NOSE_ACHIEVEMENTS:=$(shell nosetests --plugins | grep achievements)
+ifeq ($(strip $(NOSE_ACHIEVEMENTS)),Plugin achievements)
+TESTOPTS += --with-achievements
+endif
 PAGER ?= less
 # build dir for debian package
 BUILDDIR:=$(HOME)/packages/official
@@ -17,7 +22,8 @@
 # original dnspython repository module
 DNSPYTHON:=$(HOME)/src/dnspython-git/dns
 # options to run the pep8 utility
-PEP8OPTS:=--repeat --ignore=E211,E501 --exclude=dns
+PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
+   --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"
 
 
 .PHONY: all
@@ -80,9 +86,12 @@
 .PHONY: release
 release: distclean releasecheck dist-stamp sign_distfiles upload
 	@echo "Updating LinkChecker Homepage..."
+	sed -i -e "s/version = '.*'/version = '$(VERSION)'/" ~/public_html/linkchecker.sf.net/source/conf.py
 	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
+	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
+#	freshmeat-submit < linkchecker.freshmeat
 
 .PHONY: chmod
 chmod:
@@ -122,14 +131,15 @@
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
+	@if ! grep "Version: $(VERSION)" linkchecker.freshmeat > /dev/null; then \
+	  echo "Could not release: edit linkchecker.freshmeat version"; false; \
+	fi
 #	$(MAKE) -C doc test
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in dist/*; do \
-	  if [ ! -f $${f}.asc ]; then \
-	    gpg --detach-sign --armor $$f; \
-	  fi; \
+	for f in $(shell find dist -name *.gz -o -name *.exe); do \
+	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done
 
 .PHONY: test

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+HTMLDIR:=$(HOME)/public_html/linkchecker.sf.net/source
+
 all:
 
 test:
@@ -9,4 +11,9 @@
 api:
 	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/
 
-.PHONY: po4a api test
+homepage:
+	man2html -r en/linkchecker.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker.1.html
+	man2html -r en/linkcheckerrc.5 | tail -n +2 > $(HTMLDIR)/man5/linkcheckerrc.5.html
+	man2html -r en/linkchecker-gui.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker-gui.1.html
+
+.PHONY: po4a api test homepage

=== doc/html/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 HELPFILES = lccollection.qhc
 
-all:	$(HELPFILES)
+all:	$(HELPFILES) index.html
 
 .PHONY: clean
 clean:

=== linkcheck/gui/Makefile ===
# generate Python files from UI description

# edit ui/*.ui files with designer (ie. /usr/bin/designer-qt4)
UI_FILES = linkchecker_ui_main.py \
	linkchecker_ui_options.py \
	linkchecker_ui_progress.py \
	linkchecker_ui_debug.py \
	linkchecker_ui_editor.py \
	linkchecker_ui_properties.py
RC_FILES = linkchecker_rc.py


all: $(UI_FILES) $(RC_FILES)

linkchecker_ui_%.py: ui/%.ui
	pyuic4 -o $@ $<
# replace the Qt translator with the one LinkChecker uses
	sed -i -r -e 's/QtGui\.QApplication\.translate\("[^"]+", "([^"]+)", None, QtGui\.QApplication\.UnicodeUTF8\)/_("\1")/g' $@

linkchecker_rc.py: rc/linkchecker.qrc
	pyrcc4 -o $@ $<

clean:
	rm -f *.pyc *.pyo

=== linkcheck/gui/rc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # base directory of oxygen icon set checkout
 OXYGEN = $(HOME)/src/oxygen-gitsvn/16x16
-CRYSTAL = $(HOME)/src/crystal_project
+#CRYSTAL = $(HOME)/src/crystal_project
 
 ICONS = \
 	cancel.png \
@@ -11,12 +11,15 @@
 	preferences.png \
 	start.png \
 	stop.png \
-	app.png
+	about.png \
+	help.png \
+	exit.png \
+	copy.png
 
 all: $(ICONS)
 
-app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
-	cp $< $@
+#app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
+#	cp $< $@
 
 start.png:	$(OXYGEN)/actions/media-playback-start.png
 	cp $< $@
@@ -25,6 +28,18 @@
 	cp $< $@
 
 cancel.png:	$(OXYGEN)/actions/process-stop.png
+	cp $< $@
+
+about.png:	$(OXYGEN)/actions/help-about.png
+	cp $< $@
+
+help.png:	$(OXYGEN)/actions/help-contents.png
+	cp $< $@
+
+exit.png:	$(OXYGEN)/actions/application-exit.png
+	cp $< $@
+
+copy.png:	$(OXYGEN)/actions/edit-copy.png
 	cp $< $@
 
 online.png:	$(OXYGEN)/actions/document-open-remote.png

## linkchecker 6.1

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,16 @@
 MACHINE:=$(shell uname -m)
 HOST:=www.debian.org
 LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
-PYTHONSRC:=/home/calvin/src/python-gitsvn
+PYTHONSRC:=/home/calvin/src/python27-gitsvn/Lib
+#PYTHONSRC:=/usr/lib/python2.6
 PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
-# test for nose achievements plugin and use it if available
-NOSE_ACHIEVEMENTS:=$(shell nosetests --plugins | grep achievements)
-ifeq ($(strip $(NOSE_ACHIEVEMENTS)),Plugin achievements)
-TESTOPTS += --with-achievements
-endif
 PAGER ?= less
 # build dir for debian package
 BUILDDIR:=$(HOME)/packages/official
-DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.gz
+DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.bz2
 # original dnspython repository module
 DNSPYTHON:=$(HOME)/src/dnspython-git/dns
 # options to run the pep8 utility
@@ -75,7 +71,7 @@
 deb_orig:
 	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
 	  $(MAKE) dist-stamp && \
-	  cp dist/LinkChecker-$(VERSION).tar.gz $(DEB_ORIG_TARGET); \
+	  cp dist/LinkChecker-$(VERSION).tar.bz2 $(DEB_ORIG_TARGET); \
 	fi
 
 .PHONY: upload
@@ -91,7 +87,7 @@
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
 	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
-#	freshmeat-submit < linkchecker.freshmeat
+	freshmeat-submit < linkchecker.freshmeat
 
 .PHONY: chmod
 chmod:
@@ -100,7 +96,7 @@
 
 .PHONY: dist
 dist: locale MANIFEST chmod
-	$(PYTHON) setup.py sdist --formats=gztar
+	$(PYTHON) setup.py sdist --formats=bztar
 # no rpm buildable with bdist_rpm, presumable due to this bug:
 # https://bugzilla.redhat.com/show_bug.cgi?id=236535
 # too uninvolved to fix it
@@ -138,7 +134,7 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.gz -o -name *.exe); do \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe); do \
 	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done
 
@@ -166,7 +162,7 @@
 diff:
 	@for f in gzip robotparser httplib; do \
 	  echo "Comparing $${f}.py"; \
-	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/Lib/$${f}.py | $(PAGER); \
+	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/$${f}.py | $(PAGER); \
 	done
 
 .PHONY: dnsdiff

## linkchecker 6.2

=== Makefile ===
--- 
+++ 
@@ -134,7 +134,7 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.bz2 -o -name *.exe); do \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip); do \
 	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
 	done

=== debian/changelog ===
linkchecker (6.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-qscintilla2 to dependencies.
    (Closes: #609061)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 28 Dec 2010 17:18:50 +0100

linkchecker (6.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 19 Dec 2010 17:16:01 +0100

linkchecker (6.0-1) unstable; urgency=low

  * New upstream release.
    + Requires Python >= 2.6
    + Removes deprecated options --no-anchor-caching and
      --no-proxy-for.
    + Removes backwards compatilibity parsing and require the new
      multiline configuration syntax.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Nov 2010 11:37:56 +0100

linkchecker (5.5-1) unstable; urgency=low

  * New upstream release.
  * Depend on PyQt >= 4.5.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 26 Oct 2010 16:21:09 +0200

linkchecker (5.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 30 Sep 2010 07:43:40 +0200

linkchecker (5.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 29 Sep 2010 21:10:23 +0200

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/linkchecker/linkchecker-(.*).tar.bz2 debian uupdate

## linkchecker 6.8

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # This Makefile is only used by developers.
-PYVER:=2.6
+PYVER:=2.7
 PYTHON:=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
-MACHINE:=$(shell uname -m)
-HOST:=www.debian.org
-LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
-PYTHONSRC:=/home/calvin/src/python27-gitsvn/Lib
-#PYTHONSRC:=/usr/lib/python2.6
-PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
+PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
+FILESCHECK_URL:=http://localhost/~calvin/
+PYTHONSRC:=${HOME}/src/cpython-hg/Lib
+#PYTHONSRC:=/usr/lib/$(PYTHON)
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-gui cgi-bin config doc
 TESTS ?= tests/
 # set test options, eg. to "--nologcapture"
 TESTOPTS=
@@ -20,11 +19,12 @@
 # options to run the pep8 utility
 PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
    --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"
+PY2APPOPTS ?=
 
 
 .PHONY: all
 all:
-	@echo "Read the file INSTALL.txt to see how to build and install this package."
+	@echo "Read the file doc/install.txt to see how to build and install this package."
 
 .PHONY: clean
 clean:
@@ -64,8 +64,8 @@
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
-	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
-	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/network/_network.so linkcheck/network
+	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
+	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/network/_network.so linkcheck/network
 
 .PHONY: deb_orig
 deb_orig:
@@ -105,6 +105,11 @@
 	$(MAKE) dist
 	touch $@
 
+# Build OSX installer
+.PHONY: app
+app: localbuild chmod
+	$(PYTHON) setup.py py2app $(PY2APPOPTS)
+
 # The check programs used here are mostly local scripts on my private system.
 # So for other developers there is no need to execute this target.
 .PHONY: check
@@ -114,10 +119,62 @@
 	check-pofiles -v
 	py-tabdaddy
 	py-unittest2-compat tests/
+	$(MAKE) doccheck
 	$(MAKE) pyflakes
 
+doccheck:
+	py-check-docstrings --force linkcheck/HtmlParser linkcheck/checker \
+	  linkcheck/cache linkcheck/configuration linkcheck/director \
+	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
+	  linkcheck/bookmarks \
+	  linkcheck/gui/__init__.py \
+	  linkcheck/gui/checker.py \
+	  linkcheck/gui/contextmenu.py \
+	  linkcheck/gui/debug.py \
+	  linkcheck/gui/editor.py \
+	  linkcheck/gui/editor_qsci.py \
+	  linkcheck/gui/editor_qt.py \
+	  linkcheck/gui/lineedit.py \
+	  linkcheck/gui/help.py \
+	  linkcheck/gui/logger.py \
+	  linkcheck/gui/options.py \
+	  linkcheck/gui/progress.py \
+	  linkcheck/gui/properties.py \
+	  linkcheck/gui/settings.py \
+	  linkcheck/gui/statistics.py \
+	  linkcheck/gui/updater.py \
+	  linkcheck/gui/urlmodel.py \
+	  linkcheck/gui/urlsave.py \
+	  linkcheck/__init__.py \
+	  linkcheck/ansicolor.py \
+	  linkcheck/clamav.py \
+	  linkcheck/containers.py \
+	  linkcheck/cookies.py \
+	  linkcheck/decorators.py \
+	  linkcheck/dummy.py \
+	  linkcheck/fileutil.py \
+	  linkcheck/ftpparse.py \
+	  linkcheck/geoip.py \
+	  linkcheck/httputil.py \
+	  linkcheck/i18n.py \
+	  linkcheck/lc_cgi.py \
+	  linkcheck/lock.py \
+	  linkcheck/log.py \
+	  linkcheck/mem.py \
+	  linkcheck/robotparser2.py \
+	  linkcheck/socketutil.py \
+	  linkcheck/strformat.py \
+	  linkcheck/threader.py \
+	  linkcheck/trace.py \
+	  linkcheck/updater.py \
+	  linkcheck/url.py \
+	  linkcheck/winutil.py \
+	  *.py
+
 filescheck:
-	-./linkchecker $(LCOPTS) http://$(HOST)/
+	for out in text html gml sql csv xml gxml dot; do \
+	  ./linkchecker -o$$out -F$$out --complete -r1 -C $(FILESCHECK_URL) || exit 1; \
+	done
 
 update-copyright:
 	update-copyright --holder="Bastian Kleineidam"
@@ -134,17 +191,17 @@
 
 .PHONY: sign_distfiles
 sign_distfiles:
-	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip); do \
-	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
+	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip -o -name *.dmg); do \
+	  [ -f $${f}.asc ] || gpg --detach-sign --armor $$f; \
 	done
 
 .PHONY: test
 test:	localbuild
-	$(PYTHON) /usr/bin/nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) $(shell which nosetests) -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
-	pyflakes $(PY_FILES_DIRS) 2>&1 | \
+	pyflakes --force $(PY_FILES_DIRS) 2>&1 | \
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
@@ -176,3 +233,7 @@
 .PHONY: gui
 gui:
 	$(MAKE) -C linkcheck/gui
+
+.PHONY: count
+count:
+	@sloccount linkchecker linkchecker-gui linkcheck | grep "Total Physical Source Lines of Code"

=== debian/changelog ===
linkchecker (6.8-1) unstable; urgency=low

  * New upstream release.
  * Let linkchecker suggest linkchecker-gui.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2011 19:06:44 +0200

linkchecker (6.7-1) unstable; urgency=low

  * New upstream release.
    + Fixed manpage notes to mention --ignore-url instead of old -s/-i
      options. (Closes: #621040)
  * Use Standards version 3.9.2 (no changes needed)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Apr 2011 08:19:10 +0200

linkchecker (6.6-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs-Git and Vcs-Browser entries in debian/control.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Mar 2011 15:04:35 +0100

linkchecker (6.5-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch regex.
  * Replaced cdbs with dh.
  * Use dh_python2 instead of dh_pycentral. (Closes: #616875)
  * Reload Apache configuration on postinstall since the configuration
    file /etc/apache2/conf.d/linkchecker has been installed.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Mar 2011 18:38:45 +0100

linkchecker (6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 08 Feb 2011 21:28:01 +0100

linkchecker (6.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 09 Jan 2011 10:50:20 -0600
